%define anolis_release 1

%bcond_with tests

Name:           python-requests-mock
Version:        1.10.0
Release:        %{anolis_release}%{dist}

Summary:        Mock out responses from the requests package
License:        Apache-2.0
URL:            https://requests-mock.readthedocs.io/
Source:         %{pypi_source requests-mock}
Patch0001:      0001-Use-system-urllib3-package.patch
Patch0002:      0002-Allow-skipping-purl-tests-if-it-is-not-present.patch

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-requests-futures
%endif

%global _description %{expand:
requests-mock provides a building block to stub out the HTTP requests portions
of your testing code. You should checkout the docs for more information.}

%description %_description

%package -n python3-requests-mock
Summary:        %{summary}

%description -n python3-requests-mock %_description

%package -n python3-requests-mock-doc
Summary:        Documentation files for %{name}
Requires:       python3-requests-mock = %{EVR}
BuildArch:      noarch

%description -n python3-requests-mock-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n requests-mock-%{version} -p 1

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x fixture}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_mock

%check
%if %{with tests}
%pytest -v tests/pytest
%else
%pyproject_check_import -e requests_mock.contrib.fixture
%endif

%files -n python3-requests-mock -f %{pyproject_files}

%files -n python3-requests-mock-doc
%doc README.rst ChangeLog

%changelog
* Wed Mar 29 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.10.0-1
- Init package from upstream
